## pumoku 0.0.0+p24.04+vunstable+git20251205.1009

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Anders Lund <anders@alweb.dk>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(pumoku VERSION 0.1)

include(FeatureSummary)

set(QT6_MIN_VERSION 6.5.0)
set(KF6_MIN_VERSION 6.0.0)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMFindQmlModule)
include(ECMAddAndroidApk)
include(ECMQmlModule)
if(NOT ANDROID)
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
endif()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PUMOKU
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/version-pumoku.h"
)

set(QT_EXTRA_COMPONENTS)
if(NOT ANDROID)
    list(APPEND QT_EXTRA_COMPONENTS Widgets)
endif()

find_package(
    Qt6
    ${QT6_MIN_VERSION}
    REQUIRED
    COMPONENTS
        Core
        Gui
        Qml
        QuickControls2
        Svg
        ${QT_EXTRA_COMPONENTS}
)
find_package(
    KF6
    ${KF6_MIN_VERSION}
    REQUIRED
    COMPONENTS
        Kirigami
        CoreAddons
        Config
        I18n
)

if(NOT ANDROID)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
endif()

qt_policy(SET QTP0001 NEW)
qt_policy(SET QTP0004 NEW)
ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard 1.0)

if(TARGET KF6::Crash)
    set(HAVE_KCRASH TRUE)
endif()

kde_enable_exceptions()
add_subdirectory(src)
add_subdirectory(icons)

install(FILES org.kde.pumoku.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.pumoku.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

if(NOT ANDROID)
    file(
        GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
        src/*.cpp
        src/*.h
    )
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
    if(DEFINED kde_configure_git_pre_commit_hook)
        kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
    endif()
endif()

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025  Anders Lund <anders@alweb.dk>
# SPDX-License-Identifier: CC0-1.0

install(FILES org.kde.pumoku.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: 2024 Anders Lund <anders@alweb.dk>

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-pumoku.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-pumoku.h)

# Target: static library
add_library(pumoku_static STATIC)
ecm_add_qml_module(pumoku_static
    URI org.kde.pumoku
    GENERATE_PLUGIN_SOURCE
    QML_FILES
        contents/ui/Main.qml
        contents/ui/GamePage.qml
        contents/ui/About.qml
        contents/ui/Settings.qml
        contents/ui/MainMenu.qml
        contents/ui/DigitButton.qml
        contents/ui/Import.qml
        contents/ui/PumokuEngine.qml
)

qt_add_resources(RESOURCES resources.qrc)

target_sources(
    pumoku_static
    PRIVATE
        qqwing.cpp
        qqwing.hpp
        qqw.cpp
        qqw.h
)
target_sources(pumoku_static PUBLIC ${RESOURCES})
target_link_libraries(
    pumoku_static
    PUBLIC
        Qt6::Core
        Qt6::Gui
        Qt6::Qml
        Qt6::Quick
        Qt6::QuickControls2
        Qt6::Svg
        KF6::I18n
        KF6::CoreAddons
        KF6::ConfigCore
        KF6::ConfigGui
)
target_include_directories(pumoku_static PRIVATE ${CMAKE_BINARY_DIR})
if(ANDROID)
    kirigami_package_breeze_icons(ICONS
        list-add
        help-about
        application-exit
        applications-graphics
    )
else()
    target_link_libraries(pumoku_static PUBLIC Qt::Widgets)
endif()

kconfig_add_kcfg_files(pumoku_static GENERATE_MOC pumokuconfig.kcfgc)

# Target: main executable
add_executable(pumoku main.cpp)
target_link_libraries(
    pumoku
    PRIVATE
        pumoku_static
        pumoku_staticplugin
)
if(TARGET KF6::Crash)
    target_link_libraries(pumoku PRIVATE KF6::Crash)
endif()
install(
    TARGETS
        pumoku
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)
ecm_add_android_apk(pumoku ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)

=== debian/changelog ===
pumoku (0.0.0+p24.04+vunstable+git20251205.1009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Dec 2025 10:09:00 +0000

pumoku (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 17:43:24 +1000

=== debian/control ===
Source: pumoku
Section: games
Priority: optional
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-qqc2-desktop-style-dev,
               libkdegames6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/pumoku.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/pumoku
Maintainer: Neon CI <neon@kde.org>

Package: pumoku
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sudoku puzzle game and solver
 PuMoKu is a classic, 9x9 pumoku solving game aimed at Plasma
 Mobile. It comes with flexible highlighting options and (touch)
 input methods, full undo stack and more.
 .
 This package is part of the KDE games module.

## pumoku 0.0.0+p24.04+vunstable+git20251209.0355

=== debian/changelog ===
pumoku (0.0.0+p24.04+vunstable+git20251209.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 03:55:59 +0000

## pumoku 0.0.0+p24.04+vunstable+git20260131.0109

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include(FeatureSummary)
 
 set(QT6_MIN_VERSION 6.5.0)
-set(KF6_MIN_VERSION 6.0.0)
+set(KF6_MIN_VERSION 6.8.0)
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -28,9 +28,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(FeatureSummary)
@@ -41,6 +65,7 @@
 include(ECMFindQmlModule)
 include(ECMAddAndroidApk)
 include(ECMQmlModule)
+include(ECMDeprecationSettings)
 if(NOT ANDROID)
     include(KDEGitCommitHooks)
     include(KDEClangFormat)
@@ -92,6 +117,7 @@
 endif()
 
 kde_enable_exceptions()
+ecm_set_disabled_deprecation_versions(QT 6.11.0  KF 6.21.0)
 add_subdirectory(src)
 add_subdirectory(icons)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
         contents/ui/DigitButton.qml
         contents/ui/Import.qml
         contents/ui/PumokuEngine.qml
+        contents/ui/PumokuListItem.qml
 )
 
 qt_add_resources(RESOURCES resources.qrc)
@@ -28,6 +29,10 @@
         qqwing.hpp
         qqw.cpp
         qqw.h
+        filemanager.h
+        filemanager.cpp
+        gamesmodel.h
+        gamesmodel.cpp
 )
 target_sources(pumoku_static PUBLIC ${RESOURCES})
 target_link_libraries(
@@ -40,6 +45,7 @@
         Qt6::QuickControls2
         Qt6::Svg
         KF6::I18n
+        KF6::I18nQml
         KF6::CoreAddons
         KF6::ConfigCore
         KF6::ConfigGui
@@ -48,9 +54,19 @@
 if(ANDROID)
     kirigami_package_breeze_icons(ICONS
         list-add
-        help-about
+        help-about-symbolic
         application-exit
         applications-graphics
+        document-share-symbolic
+        application-menu-symbolic
+        open-for-editing-symbolic
+        flashlight-on-symbolic
+        settings-configure-symbolic
+        edit-undo-symbolic
+        edit-redo-symbolic
+        games-hint-symbolic
+        open-for-editing-symbolic
+        tool_eraser-symbolic
     )
 else()
     target_link_libraries(pumoku_static PUBLIC Qt::Widgets)

=== debian/changelog ===
pumoku (0.0.0+p24.04+vunstable+git20260131.0109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:09:24 +0000
